org.eclipse.eef.ide.ui.internal.widgets

## Class EEFCheckboxStyleCallback

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.EEFCheckboxStyleCallback

All Implemented Interfaces:
  EEFStyleHelper.IEEFTextStyleCallback

    public class EEFCheckboxStyleCallback
    extends java.lang.Object
    implements EEFStyleHelper.IEEFTextStyleCallback

This callback will be used to apply the text style to the label of a checkbox.

### Constructor Summary

Constructors
Constructor and Description
`EEFCheckboxStyleCallback(org.eclipse.swt.widgets.Button checkbox)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyBackgroundColor(EEFColor color)` Applies the given background color to the widget.
`void` `applyFont(EEFFont font)` Applies the given font to the widget.
`void` `applyFontStyle(boolean strikeout, boolean underline)` Applies the strikeout and/or underline styles.
`void` `applyForegroundColor(EEFColor color)` Applies the given foreground color to the widget.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFCheckboxStyleCallback

    public EEFCheckboxStyleCallback(org.eclipse.swt.widgets.Button checkbox)

The constructor.

Parameters:
  `checkbox` - The checkbox

### Method Detail

#### applyFont

    public void applyFont(EEFFont font)

Applies the given font to the widget.

Specified by:
  `applyFont` in interface `EEFStyleHelper.IEEFTextStyleCallback`
Parameters:
  `font` - The font
See Also:
  `EEFStyleHelper.IEEFTextStyleCallback.applyFont(org.eclipse.eef.ide.ui.internal.widgets.styles.EEFFont)`

#### applyFontStyle

    public void applyFontStyle(boolean strikeout,
                               boolean underline)

Applies the strikeout and/or underline styles.

Specified by:
  `applyFontStyle` in interface `EEFStyleHelper.IEEFTextStyleCallback`
Parameters:
  `strikeout` - `true` if the widget should be striked out, `false` otherwise
  `underline` - `true` if the widget should be underlined, `false` otherwise
See Also:
  `EEFStyleHelper.IEEFTextStyleCallback.applyFontStyle(boolean, boolean)`

#### applyForegroundColor

    public void applyForegroundColor(EEFColor color)

Applies the given foreground color to the widget.

Specified by:
  `applyForegroundColor` in interface `EEFStyleHelper.IEEFTextStyleCallback`
Parameters:
  `color` - The foreground color
See Also:
  `EEFStyleHelper.IEEFTextStyleCallback.applyForegroundColor(org.eclipse.eef.ide.ui.internal.widgets.styles.EEFColor)`

#### applyBackgroundColor

    public void applyBackgroundColor(EEFColor color)

Applies the given background color to the widget.

Specified by:
  `applyBackgroundColor` in interface `EEFStyleHelper.IEEFTextStyleCallback`
Parameters:
  `color` - The background color
See Also:
  `EEFStyleHelper.IEEFTextStyleCallback.applyBackgroundColor(org.eclipse.eef.ide.ui.internal.widgets.styles.EEFColor)`